org.jboss.jca.core.workmanager

## Class WorkManagerCoordinator

- java.lang.Object
- - org.jboss.jca.core.workmanager.WorkManagerCoordinator

-     public class WorkManagerCoordinator
      extends java.lang.Object

  Coordinator for WorkManager instances
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.core.api.workmanager.WorkManager` | `createWorkManager(java.lang.String id, java.lang.String name)` Create a work manager
    `org.jboss.jca.core.api.workmanager.WorkManager` | `getDefaultWorkManager()` Get the default work manager
    `static WorkManagerCoordinator` | `getInstance()` Get the instance
    `void` | `registerWorkManager(org.jboss.jca.core.api.workmanager.WorkManager wm)` Register work manager
    `void` | `removeWorkManager(java.lang.String id)` Remove a work manager
    `org.jboss.jca.core.api.workmanager.DistributedWorkManager` | `resolveDistributedWorkManager(org.jboss.jca.core.spi.workmanager.Address address)` Resolve a distributed work manager
    `org.jboss.jca.core.api.workmanager.WorkManager` | `resolveWorkManager(org.jboss.jca.core.spi.workmanager.Address address)` Resolve a work manager
    `void` | `setDefaultWorkManager(org.jboss.jca.core.api.workmanager.WorkManager wm)` Set the default work manager
    `void` | `unregisterWorkManager(org.jboss.jca.core.api.workmanager.WorkManager wm)` Unregister work manager

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static WorkManagerCoordinator getInstance()

      Get the instance
      Returns:
        The instance

    - #### registerWorkManager

          public void registerWorkManager(org.jboss.jca.core.api.workmanager.WorkManager wm)

      Register work manager
      Parameters:
        `wm` - The work manager

    - #### unregisterWorkManager

          public void unregisterWorkManager(org.jboss.jca.core.api.workmanager.WorkManager wm)

      Unregister work manager
      Parameters:
        `wm` - The work manager

    - #### getDefaultWorkManager

          public org.jboss.jca.core.api.workmanager.WorkManager getDefaultWorkManager()

      Get the default work manager
      Returns:
        The work manager

    - #### setDefaultWorkManager

          public void setDefaultWorkManager(org.jboss.jca.core.api.workmanager.WorkManager wm)

      Set the default work manager
      Parameters:
        `wm` - The work manager

    - #### resolveWorkManager

          public org.jboss.jca.core.api.workmanager.WorkManager resolveWorkManager(org.jboss.jca.core.spi.workmanager.Address address)

      Resolve a work manager
      Parameters:
        `address` - The work manager address
      Returns:
        The value

    - #### resolveDistributedWorkManager

          public org.jboss.jca.core.api.workmanager.DistributedWorkManager resolveDistributedWorkManager(org.jboss.jca.core.spi.workmanager.Address address)

      Resolve a distributed work manager
      Parameters:
        `address` - The work manager address
      Returns:
        The value

    - #### createWorkManager

          public org.jboss.jca.core.api.workmanager.WorkManager createWorkManager(java.lang.String id,
                                                                                  java.lang.String name)

      Create a work manager
      Parameters:
        `id` - The id of the work manager
        `name` - The name of the work manager; if `null` default value is used
      Returns:
        The work manager

    - #### removeWorkManager

          public void removeWorkManager(java.lang.String id)

      Remove a work manager
      Parameters:
        `id` - The id of the work manager

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)